# Clapeyron.jl
A [Julia](http://julialang.org) package for the modelling of fluids using thermodynamic equations of state. These include the standard cubics (van der Waals, Redlich-Kwong, Peng-Robinson, _etc._), SAFT-type equations (PC-SAFT, SAFT-VR Mie, SAFT-$\gamma$ Mie, _etc._), empirical equations (GERG2008, IAWPS95) and many more.

The documentation is laid out as follows:

- Background: Find more information about the origin and differences for each equation of state provided in this package, as well as some of the methods used to obtain the various thermodynamic properties
- User guide: Find out how to use the equations of state provided in the package, how to use your own parameters, implement your own equation of state or algorithm.

### Authors

- [Pierre J. Walker](https://github.com/pw0908), California Institute of Technology
- [Hon-Wa (Paul) Yew](https://github.com/ypaul21), Imperial College London
- [Andrès Riedemann](https://github.com/longemen3000), University of Concepción

### License

Clapeyron.jl is licensed under the [MIT license](https://github.com/ypaul21/OpenSAFT.jl/blob/master/LICENSE.md).

### Instillation

Clapeyron.jl is not currently a registered package (will be soon!) but can be installed by running:

```julia
pkg> add git@github.com:ypaul21/Clapeyron.jl.git 
```



